mediaproxy problem: A TLS packet with unexpected length was received

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

mediaproxy problem: A TLS packet with unexpected length was received

bay2x1
I recently upgraded to the latest version of mediaproxy from version 2.3.4.  Before the upgrade everything was working fine. But after the upgrade I encountered this error A TLS packet with unexpected length was received.  I tried downloading the non production version of tls certificates from ag-projects to correct this issue but failed.  I am wondering if this problem is related to gnutls version I am using.

Both relay and dispatcher have the same version and are running.  Although, I see this warning everytime I run both relay and dispatcher:
Stopping MediaProxy Dispatcher:                            [  OK  ]
Starting MediaProxy Dispatcher: /usr/lib/python2.5/site-packages/application/configuration/__init__.py:137: DeprecationWarning: get_option is deprecated in favor of get_setting and will be removed in 1.2.0.
  warn("get_option is deprecated in favor of get_setting and will be removed in 1.2.0.", DeprecationWarning)
                                                           [  OK  ]

Any idea what I have misconfigured or is this problem related to some application dependency issue?
Reply | Threaded
Open this post in threaded view
|

Re: mediaproxy problem: A TLS packet with unexpected length was received

Dan Pascu

On 1 Sep 2009, at 06:03, bay2x1 wrote:

>
> I recently upgraded to the latest version of mediaproxy from version  
> 2.3.4.
> Before the upgrade everything was working fine. But after the  
> upgrade I
> encountered this error A TLS packet with unexpected length was  
> received.  I
> tried downloading the non production version of tls certificates from
> ag-projects to correct this issue but failed.  I am wondering if this
> problem is related to gnutls version I am using.

Unlikely. That message means that one endpoint is TCP not TLS.

>
> Both relay and dispatcher have the same version and are running.  
> Although,
> I see this warning everytime I run both relay and dispatcher:
> Stopping MediaProxy Dispatcher:                            [  OK  ]
> Starting MediaProxy Dispatcher:
> /usr/lib/python2.5/site-packages/application/configuration/
> __init__.py:137:
> DeprecationWarning: get_option is deprecated in favor of get_setting  
> and
> will be removed in 1.2.0.
>  warn("get_option is deprecated in favor of get_setting and will be  
> removed
> in 1.2.0.", DeprecationWarning)
>                                                           [  OK  ]
>
> Any idea what I have misconfigured or is this problem related to some
> application dependency issue?

It's a non-issue. It's just a warning that the API will change in the  
future and applications should be updated. The message is harmless.  
You should update to the latest version and it'll go away.

>
> -----
> http://opensips.blogspot.com http://opensips.blogspot.com
> --
> View this message in context: http://n2.nabble.com/mediaproxy-problem-A-TLS-packet-with-unexpected-length-was-received-tp3558024p3558024.html
> Sent from the OpenSIPS - Users mailing list archive at Nabble.com.
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users


--
Dan




_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

IDE

Ghaith ALKAYYEM
Hello,

Could anybody suggest an IDE that will ease the development & debugging
of OpenSIPS?

Thank you


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: IDE

Jeff Pyle
vim?


On 9/2/09 10:17 AM, "Ghaith ALKAYYEM" <[hidden email]>
wrote:

> Hello,
>
> Could anybody suggest an IDE that will ease the development & debugging
> of OpenSIPS?
>
> Thank you
>
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: IDE

Brett Nemeroff
I was thinking the same thing.. :)


On Wed, Sep 2, 2009 at 9:15 AM, Jeff Pyle <[hidden email]> wrote:
vim?


On 9/2/09 10:17 AM, "Ghaith ALKAYYEM" <[hidden email]>
wrote:

> Hello,
>
> Could anybody suggest an IDE that will ease the development & debugging
> of OpenSIPS?
>
> Thank you
>
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: IDE

Brent Thomson
Brett Nemeroff wrote:

> I was thinking the same thing.. :)
>
>
> On Wed, Sep 2, 2009 at 9:15 AM, Jeff Pyle <[hidden email]
> <mailto:[hidden email]>> wrote:
>
>     vim?
>
>
>     On 9/2/09 10:17 AM, "Ghaith ALKAYYEM"
>     <[hidden email]>
>     wrote:
>
>     > Hello,
>     >
>     > Could anybody suggest an IDE that will ease the development &
>     debugging
>     > of OpenSIPS?
>     >

Vim with filetype=perl works pretty well. The syntax highlighting isn't
*perfect* but it's pretty close.

-Brent

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: IDE

Saúl Ibarra Corretgé-2
What about this? http://www.vim.org/scripts/script.php?script_id=2242

It's not very updated, but after reading it a bit seems easy to add
the new core parameters and functions so that it works with latest
version of OpenSIPS.

Regards,


--
/Saúl
http://www.saghul.net | http://www.sipdoc.net

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: IDE

Ghaith ALKAYYEM
What debugger for development do you recommend as well?

Regards.

On Thu, 2009-09-03 at 09:21 +0200, Saúl Ibarra wrote:
> What about this? http://www.vim.org/scripts/script.php?script_id=2242
>
> It's not very updated, but after reading it a bit seems easy to add
> the new core parameters and functions so that it works with latest
> version of OpenSIPS.
>
> Regards,
>
>


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: IDE

Saúl Ibarra Corretgé-2
The OpenSIPS log with debug=6 :)


--
/Saúl
http://www.saghul.net | http://www.sipdoc.net

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: IDE

Brett Nemeroff
In reply to this post by Ghaith ALKAYYEM
try opensips -c
really, it's all you need. That and the debug log



On Thu, Sep 3, 2009 at 2:49 AM, Ghaith ALKAYYEM <[hidden email]> wrote:
What debugger for development do you recommend as well?

Regards.

On Thu, 2009-09-03 at 09:21 +0200, Saúl Ibarra wrote:
> What about this? http://www.vim.org/scripts/script.php?script_id=2242
>
> It's not very updated, but after reading it a bit seems easy to add
> the new core parameters and functions so that it works with latest
> version of OpenSIPS.
>
> Regards,
>
>


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users